Bug 990156 - (CVE-2013-4921) CVE-2013-4921 wireshark: Off-by-one (application crash) in the Radiotap dissector (wnpa-sec-2013-43)
CVE-2013-4921 wireshark: Off-by-one (application crash) in the Radiotap disse...
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 990202
Blocks: 990216
  Show dependency treegraph
Reported: 2013-07-30 09:48 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:01 EST (History)
5 users (show)

See Also:
Fixed In Version: Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-05 01:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-30 09:48:32 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4921 to the following vulnerability:

Off-by-one error in the dissect_radiotap function in epan/dissectors/packet-ieee80211-radiotap.c in the Radiotap dissector in Wireshark 1.10.x before 1.10.1 allows remote attackers to cause a denial of service (application crash) via a crafted packet.

[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-ieee80211-radiotap.c?r1=50090&r2=50089&pathrev=50090
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=50090
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8830
[5] https://www.wireshark.org/security/wnpa-sec-2013-43.html
Comment 1 Jan Lieskovsky 2013-07-30 10:48:22 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-19 [bug 990202]
Comment 2 Huzaifa S. Sidhpurwala 2013-08-05 01:19:58 EDT

Not Vulnerable. This issue does not affect the version of wireshark, as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.